For Developers
List Geos
GET https://ed.link/api/v2/teams/:team_id/origin-policies/:policy_id/geos
Returns all geographic country rules configured for the origin policy.
Permissions
Requires the origin_policies.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:policy_id | UUID | Yes | The ID of the origin policy. |
Sample Request
const response = await axios.get(
`https://ed.link/api/v2/teams/${team_id}/origin-policies/${policy_id}/geos`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": [
{
"id": "e22a4b88-1c39-4d6b-9520-21a4fa800311",
"country_code": "US"
},
{
"id": "f55c8a99-2d40-4e7c-a631-32b5fb900422",
"country_code": "CA"
}
]
}
